<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__hw__functions" kind="group">
    <compoundname>group_crypto_lld_hw_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga6aede3754a84e01d5e9b4227a683c24c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_Enable</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Enable</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>The function to enable the Crypto hardware. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Crypto status <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="456" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="412" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="241" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gaa25e439d33aee00d542476a82720e5cd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_Disable</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Disable</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the operation of the CRYPTO block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="508" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="491" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="243" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga845c09ce09ca4c6df18a523a3ca26fa5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_GetLibInfo</definition>
        <argsstring>(cy_en_crypto_lib_info_t *libInfo)</argsstring>
        <name>Cy_Crypto_Core_GetLibInfo</name>
        <param>
          <type>cy_en_crypto_lib_info_t *</type>
          <declname>libInfo</declname>
        </param>
        <briefdescription>
<para>Get Crypto service information. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>libInfo</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a variable to store gathered crypto library information.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="476" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="471" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="245" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gab3142870809b04978115aaaa2fe8c5fb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_SetVuMemoryAddress</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t const *vuMemoryAddr, uint32_t vuMemorySize)</argsstring>
        <name>Cy_Crypto_Core_SetVuMemoryAddress</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t const *</type>
          <declname>vuMemoryAddr</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>vuMemorySize</declname>
        </param>
        <briefdescription>
<para>Sets the new memory buffer address and size. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>vuMemoryAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>The memory buffer location that will be used as Crypto MEM_BUFF</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>vuMemorySize</parametername>
</parameternamelist>
<parameterdescription>
<para>The provided memory buffer size in bytes.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function sets the default device specific values when vuMemoryAddr parameter is NULL and vuMemorySize parameter is zero.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;New memory buffer should be allocated in a memory region that is not protected by a protection scheme for use by Crypto hardware. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="324" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="223" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="247" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t *</type>
        <definition>__STATIC_INLINE uint32_t * Cy_Crypto_Core_GetVuMemoryAddress</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_GetVuMemoryAddress</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Gets Crypto memory buffer address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Current Crypto MEM_BUFF location address or NULL if Crypto IP is not enabled. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="520" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="249" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gab7b00336d1f1d0741155edf12ad7393d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_Crypto_Core_GetVuMemorySize</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_GetVuMemorySize</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Get Crypto memory buffer size. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current MEM_BUFF size in bytes. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="397" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="339" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="251" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga5d74ed1e6161b72e972fac828fa3aea9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_InvertEndianness</definition>
        <argsstring>(void *inArrPtr, uint32_t byteSize)</argsstring>
        <name>Cy_Crypto_Core_InvertEndianness</name>
        <param>
          <type>void *</type>
          <declname>inArrPtr</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>byteSize</declname>
        </param>
        <briefdescription>
<para>This function reverts byte-array memory block, like:<linebreak />
 inArr[0] &lt;<mdash />&gt; inArr[n]<linebreak />
 inArr[1] &lt;<mdash />&gt; inArr[n-1]<linebreak />
 inArr[2] &lt;<mdash />&gt; inArr[n-2]<linebreak />
 ........................<linebreak />
 inArr[n/2] &lt;<mdash />&gt; inArr[n/2-1]<linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>Odd or even byteSize are acceptable.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>inArrPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the memory whose endianness is to be inverted.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>byteSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The length of the memory array whose endianness is to be inverted (in bytes) </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="558" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="530" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="253" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gab4a5ca67ee625db608b6380fec04a6a3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_Crypto_Core_IsEnabled</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_IsEnabled</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>The function checks whether the Crypto hardware is enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Crypto status <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="276" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="268" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="268" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga2e3f4f43e10239328267eb8deedef07b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint8_t</type>
        <definition>__STATIC_INLINE uint8_t Cy_Crypto_Core_GetFIFODepth</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_GetFIFODepth</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the total available number of instructions in the instruction FIFO. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="292" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="288" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="288" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga094f3e1e53830586270fa1c446ac0290" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint8_t</type>
        <definition>__STATIC_INLINE uint8_t Cy_Crypto_Core_GetFIFOUsed</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_GetFIFOUsed</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the number of instructions in the instruction FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>The value of this field ranges from 0 to 8</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="308" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="305" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga615b26c7cb3cc4dce27693a00032bcb2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_WaitForInstrFifoAvailable</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t instr)</argsstring>
        <name>Cy_Crypto_Core_WaitForInstrFifoAvailable</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>instr</declname>
        </param>
        <briefdescription>
<para>Waits until number of entries in the instruction FIFO is less than specified number. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>instr</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of needed available space in the instruction FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="329" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="324" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="324" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gab91dafa1a5066c3a4b225ff19d27438a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_WaitForFifoAvailable</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_WaitForFifoAvailable</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Waits until number of entries in the instruction FIFO is less than specified in EVENT_LEVEL field in FF_CTL register, an event is generated: "event" = INSTR_FF_STATUS.USED &lt; EVENT_LEVEL. </para>        </briefdescription>
        <detaileddescription>
<para>By default EVENT_LEVEL = 0;</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="349" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="344" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga5b054a6449dfbf1264d5ee501a5552aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_WaitForReady</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_WaitForReady</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Waits until all instruction in FIFO will be completed. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="366" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="361" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="361" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga17c57fe13a519b0273fe9dee78dae44b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_Vu_WaitForComplete</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Vu_WaitForComplete</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Waits until VU instruction will be completed. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="393" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="378" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="378" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga23156e1824785c6f4774a9d833089279" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_SetInterruptMask</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t interrupts)</argsstring>
        <name>Cy_Crypto_Core_SetInterruptMask</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupts</declname>
        </param>
        <briefdescription>
<para>Masks / unmasks multiple interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupts</parametername>
</parameternamelist>
<parameterdescription>
<para>Mask bits. See definitions above. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="411" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="408" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="408" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga6e71fadce7966f9cf516063d32823ea2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_GetInterruptMask</definition>
        <argsstring>(CRYPTO_Type const *base)</argsstring>
        <name>Cy_Crypto_Core_GetInterruptMask</name>
        <param>
          <type>CRYPTO_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports mask / unmask multiple interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Mask bits. See definitions above. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="429" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="426" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="426" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga01b8a16b46f6908b4e28cde4430bcc3c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_GetInterruptStatusMasked</definition>
        <argsstring>(CRYPTO_Type const *base)</argsstring>
        <name>Cy_Crypto_Core_GetInterruptStatusMasked</name>
        <param>
          <type>CRYPTO_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports states of multiple enabled interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Source bits. See definitions above. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="447" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="444" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="444" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga26da926caf148f9abfad7eafd6490a2b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_GetInterruptStatus</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_GetInterruptStatus</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reports states of multiple interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Source bits. See definitions above. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="465" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="462" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="462" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1gab4fc3decef21a6097517434f929e81d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_SetInterrupt</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t interrupts)</argsstring>
        <name>Cy_Crypto_Core_SetInterrupt</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupts</declname>
        </param>
        <briefdescription>
<para>Sets one of more interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupts</parametername>
</parameternamelist>
<parameterdescription>
<para>Source bit(s) </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="483" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="480" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga4fca27f7d09d3426159945ebf752e4c5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_ClearInterrupt</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t interrupts)</argsstring>
        <name>Cy_Crypto_Core_ClearInterrupt</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupts</declname>
        </param>
        <briefdescription>
<para>Clears multiple interrupt sources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupts</parametername>
</parameternamelist>
<parameterdescription>
<para>Source bit(s). See definitions above. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="502" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_hw.h" line="498" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga000bf3a63e4f2ee9fb8bb3a452b87d87" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_ClearVuRegisters</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_ClearVuRegisters</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>The function to initialize the Crypto VU registers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="184" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="163" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__hw__functions_1ga139392b8345e8ce49bef50ac91177f8f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_HwInit</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_Crypto_Core_HwInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>The function to initialize the Crypto hardware. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="196" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" bodystart="193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hw.c" line="193" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>